<?php
class cVentapago{
	function insertar($forpag_id,$modpag_id,$mon,$numdia,$fecven,$est,$ven_id,$con){
		$sql = "INSERT INTO  tb_ventapago(
		tb_formapago_id ,
		tb_modopago_id ,
		tb_ventapago_mon ,
		tb_ventapago_numdia ,
		tb_ventapago_fecven ,
		tb_ventapago_est,
		tb_venta_id,
		tb_ventapago_con
		)
		VALUES (
		'$forpag_id','$modpag_id','$mon','$numdia','$fecven','$est','$ven_id','$con');"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function insertar_ventapago_ingreso($venpaging_fec){
		$sql = "INSERT INTO tb_ventapagoingresos(
		tb_ventapagoingresos_fec
		)
		VALUES ('$venpaging_fec')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function insertar_ventapago_ingreso_detalle($venpaging_id,$venpag_id ){
		$sql = "INSERT INTO tb_ventapagoingresosdetalles(
		tb_ventapagoingresos_id,
		tb_ventapago_id
		)
		VALUES (
		'$venpaging_id','$venpag_id')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function ultimoInsert(){
		$sql = "select max(tb_ventapago_id) as 'id' from tb_ventapago "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsertVentaPagoIngreso(){
		$sql = "select max(tb_ventapagoingresos_id) as 'id' from tb_ventapagoingresos "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrarUno($venpag_id){
		$sql = "SELECT * 
		FROM tb_ventapago vp
		INNER JOIN tb_venta v ON vp.tb_venta_id=v.tb_venta_id
		LEFT JOIN tb_puntoventa pv on pv.tb_puntoventa_id = v.tb_puntoventa_id
		LEFT JOIN tb_empresa e on e.tb_empresa_id = pv.tb_empresa_id
		left join tb_cliente c on c.tb_cliente_id = v.tb_cliente_id
		LEFT JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id
		WHERE tb_ventapago_id='$venpag_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function filtrar($ven_id){
		$sql = "SELECT *
		FROM tb_ventapago vp
		left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE vp.tb_venta_id = '$ven_id'
		ORDER BY vp.tb_ventapago_id "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function filtrar_devolucion($ven_id){
		$sql = "SELECT vp.tb_ventapago_id as 'venpagid', vp.*,vpd.*,vpi.*
		FROM tb_ventapago vp
		left join tb_ventapagoingresosdetalles vpd on vpd.tb_ventapago_id = vp.tb_ventapago_id
        left join tb_ventapagoingresos vpi on vpi.tb_ventapagoingresos_id = vpd.tb_ventapagoingresos_id
		WHERE vp.tb_venta_id = '$ven_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	} 	
	/* function filtrar_devolucion($ven_id){
		$sql = "SELECT * FROM tb_ventapago vp WHERE vp.tb_venta_id = '$ven_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	} */
	
	function ver_ventapagoingreso($venpagid_id){
		$sql = "SELECT * FROM tb_ventapagoingresosdetalles vpd where vpd.tb_ventapago_id = '$venpagid_id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_pagos($ven_id){
		$sql = "SELECT *
		FROM tb_ventapago vp
		WHERE tb_venta_id = $ven_id
		ORDER BY tb_ventapago_id "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function caja_filtro_adm($fec1,$fec2,$doc_id,$cli_id,$est,$usu_id,$punven_id,$emp_id,$forpag_id,$modpag_id,$cuecor_id,$tar_id){
		$sql="SELECT vp.tb_formapago_id, fp.tb_formapago_nom, vp.tb_modopago_id, mp.tb_modopago_nom, vp.tb_cuentadeposito_id, tb_cuentadeposito_nom, vp.tb_tarjeta_id, tb_tarjeta_nom, ef.tb_entfinanciera_id AS banco_cuecor_id, ef.tb_entfinanciera_nom AS banco_cuecor, e.tb_entfinanciera_id AS banco_tar_id, e.tb_entfinanciera_nom AS banco_tar, SUM(tb_ventapago_mon) AS total 
		FROM tb_venta v
		LEFT JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id
		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_usuario u ON v.tb_usuario_id=u.tb_usuario_id
		INNER JOIN tb_puntoventa pv ON v.tb_puntoventa_id=pv.tb_puntoventa_id
		
		INNER JOIN tb_ventapago vp ON v.tb_venta_id=vp.tb_venta_id
		INNER JOIN tb_formapago fp ON vp.tb_formapago_id=fp.tb_formapago_id
		INNER JOIN tb_modopago mp ON vp.tb_modopago_id=mp.tb_modopago_id
		LEFT JOIN tb_cuentadeposito cc ON vp.tb_cuentadeposito_id=cc.tb_cuentadeposito_id
		LEFT JOIN tb_tarjeta t ON vp.tb_tarjeta_id=t.tb_tarjeta_id
		
		LEFT JOIN tb_entfinanciera ef ON cc.tb_entfinanciera_id=ef.tb_entfinanciera_id
		LEFT JOIN tb_entfinanciera e ON t.tb_entfinanciera_id=e.tb_entfinanciera_id
		
		WHERE v.tb_empresa_id = $emp_id 
		AND tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($doc_id>0)$sql.=" AND v.tb_documento_id = $doc_id ";
		if($cli_id>0)$sql.=" AND v.tb_cliente_id = $cli_id ";
		if($usu_id>0)$sql.=" AND u.tb_usuario_id = $usu_id ";
		if($punven_id>0)$sql.=" AND v.tb_puntoventa_id = $punven_id ";
		if($est!="")$sql.=" AND tb_venta_est LIKE '$est' ";
		
		if($forpag_id>0)$sql.=" AND vp.tb_formapago_id = $forpag_id ";
		if($modpag_id>0)$sql.=" AND vp.tb_modopago_id = $modpag_id ";
		if($cuecor_id>0)$sql.=" AND vp.tb_cuentadeposito_id = $cuecor_id ";
		if($tar_id>0)$sql.=" AND vp.tb_tarjeta_id = $tar_id ";
		
		$sql.=" GROUP BY vp.tb_formapago_id,vp.tb_modopago_id,vp.tb_cuentadeposito_id,vp.tb_tarjeta_id ";
	//$sql.=" ORDER BY tb_venta_fec, tb_documento_nom, tb_venta_numdoc ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_formapago(){
		$sql = "SELECT *
		FROM tb_formapago
		ORDER BY tb_formapago_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function mostrar_modopago(){
		$sql = "SELECT *
		FROM tb_modopago
		ORDER BY tb_modopago_id"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function filtrar_modulo_ventapago($fec1,$fec2,$formapago,$modopago,$tarjeta,$cuenta){
		$sql="SELECT * FROM tb_venta v 
		LEFT JOIN tb_ventapago vp ON v.tb_venta_id = vp.tb_venta_id 
		LEFT JOIN tb_tarjeta t ON vp.tb_tarjeta_id = t.tb_tarjeta_id 
		LEFT JOIN tb_cuentadeposito cc ON vp.tb_cuentadeposito_id=cc.tb_cuentadeposito_id
		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id 
		LEFT JOIN tb_cliente c ON v.tb_cliente_id=c.tb_cliente_id 
		LEFT JOIN tb_vendedor vend on vend.tb_vendedor_id = v.tb_vendedor_id 
		WHERE tb_venta_xac=1 AND tb_puntoventa_id = 2 AND tb_venta_fec 
		BETWEEN '$fec1' AND '$fec2' 
		AND vp.tb_formapago_id = '$formapago'";
		if($formapago==1){
			$sql.=" AND vp.tb_modopago_id = '$modopago' ";
			if($modopago==2){
				if($tarjeta!="")$sql.=" AND vp.tb_tarjeta_id = '$tarjeta'";
			}
			if($modopago==3){
				if($cuenta!="")$sql.=" AND vp.tb_cuentadeposito_id = '$cuenta'";
			}
		}
		$sql.=" ORDER BY tb_venta_fec, tb_documento_nom, tb_venta_numdoc ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>